NX Open C++ Reference Guide
|
Represents a CAE::ModelCheck::FaceClearanceCheckBuilder to perform polygon face interference or clearance check. More...
Public Member Functions | |
NXOpen::Expression * | Clearance () |
Returns the clearance. | |
NXOpen::CAE::CaeGroup * | DoCheck () |
Perform the clearance check. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::ModelCheck::FaceClearanceCheckBuilder to perform polygon face interference or clearance check.
You can do the check by Builder::Commit or CAE::ModelCheck::FaceClearanceCheckBuilder::DoCheck . Builder::Commit performs the check and displays the failed faces in graphics window. CAE::ModelCheck::FaceClearanceCheckBuilder::DoCheck performs the check and if faces are detected violating the check, returns the output group containing the failed faces.
To create a new instance of this class, use CAE::ModelCheckManager::CreateFaceClearanceCheckBuilder
Created in NX8.5.0.
NXOpen::Expression* NXOpen::CAE::ModelCheck::FaceClearanceCheckBuilder::Clearance | ( | ) |
Returns the clearance.
If the clearance value is zero, an intersection check between faces will be performed. If the clearance value is non-zero, a clearance check will be performed. If a negative non-zero clearance is set, the absolute value will be used
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::CaeGroup* NXOpen::CAE::ModelCheck::FaceClearanceCheckBuilder::DoCheck | ( | ) |
Perform the clearance check.
All polygon faces on the current display are considered for the check. If polygon faces are detected as intersecting or violating the given clearance, they are placed in a group, which would be returned